For the complete documentation index, see llms.txt. This page is also available as Markdown.

Tenants

Tenant settings, branding, and feature configuration.

get
Query parameters
expandstring[]OptionalExample: ["_links.settings","_links.taxonomies"]
Responses
200

Returns a Tenant

application/json
idstringRead-onlyRequired
displayNamestringRequired
displayNameShortstringRequired
_linksobjectRequired
get/tenants/{tenantId}
GET /apis/v2/tenants/{tenantId} HTTP/1.1
Accept: */*
200

Returns a Tenant

{
  "id": "text",
  "displayName": "text",
  "displayNameShort": "text",
  "release": {
    "version": "text"
  },
  "settings": {
    "_total": 1
  },
  "taxonomies": {
    "_total": 1
  },
  "errors": [
    {
      "code": "text",
      "message": "text",
      "details": {}
    }
  ],
  "_links": {}
}
get
Responses
200

Returns a TenantSettingCollection

application/json
_totalnumberRequired
get/tenants/{tenantId}/settings
GET /apis/v2/tenants/{tenantId}/settings HTTP/1.1
Accept: */*
200

Returns a TenantSettingCollection

{
  "items": [
    {
      "id": "text",
      "value": {},
      "errors": [
        {
          "code": "text",
          "message": "text",
          "details": {}
        }
      ]
    }
  ],
  "_total": 1,
  "_links": {
    "self": {
      "href": "text"
    }
  }
}
get
Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Responses
200

Returns a TenantSettingCollection

application/json
_totalnumberRequired
get/tenants/{tenantId}/admin-settings
GET /apis/v2/tenants/{tenantId}/admin-settings HTTP/1.1
Authorization: Bearer YOUR_SECRET_TOKEN
Accept: */*
200

Returns a TenantSettingCollection

{
  "items": [
    {
      "id": "text",
      "value": {},
      "errors": [
        {
          "code": "text",
          "message": "text",
          "details": {}
        }
      ]
    }
  ],
  "_total": 1,
  "_links": {
    "self": {
      "href": "text"
    }
  }
}
get
Responses
200

Returns a TenantTaxonomyCollection

application/json
idstringRead-onlyRequired
get/tenants/{tenantId}/taxonomies
GET /apis/v2/tenants/{tenantId}/taxonomies HTTP/1.1
Accept: */*
200

Returns a TenantTaxonomyCollection

{
  "id": "text",
  "value": {
    "id": "text",
    "displayName": "text",
    "value": "text",
    "type": "text",
    "children": [
      {
        "id": "text",
        "displayName": "text",
        "value": "text",
        "type": "text",
        "children": [
          {
            "id": "text",
            "displayName": "text",
            "value": "text",
            "type": "text",
            "children": "[Circular Reference]",
            "config": {},
            "_links": {
              "self": {
                "href": "text"
              }
            }
          }
        ],
        "config": {},
        "_links": {
          "self": {
            "href": "text"
          }
        }
      }
    ],
    "config": {},
    "_links": {
      "self": {
        "href": "text"
      }
    }
  }
}
patch
Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Query parameters
expandstring[]OptionalExample: ["_links.settings"]
Body
displayNamestringRequired
displayNameShortstringRequired
Responses
200

Returns a Tenant

application/json
idstringRead-onlyRequired
displayNamestringRequired
displayNameShortstringRequired
_linksobjectRequired
patch/tenants/current
PATCH /apis/v2/tenants/current HTTP/1.1
Authorization: Bearer YOUR_SECRET_TOKEN
Content-Type: application/json
Accept: */*
Content-Length: 48

{
  "displayName": "text",
  "displayNameShort": "text"
}
200

Returns a Tenant

{
  "id": "text",
  "displayName": "text",
  "displayNameShort": "text",
  "release": {
    "version": "text"
  },
  "settings": {
    "_total": 1
  },
  "taxonomies": {
    "_total": 1
  },
  "errors": [
    {
      "code": "text",
      "message": "text",
      "details": {}
    }
  ],
  "_links": {}
}
patch
Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Body
_totalnumberRequired
Responses
200

Returns a TenantSettingCollection

application/json
_totalnumberRequired
patch/tenants/current/settings
PATCH /apis/v2/tenants/current/settings HTTP/1.1
Authorization: Bearer YOUR_SECRET_TOKEN
Content-Type: application/json
Accept: */*
Content-Length: 69

{
  "items": [
    {
      "value": {}
    }
  ],
  "_total": 1,
  "_links": {
    "self": {
      "href": "text"
    }
  }
}
200

Returns a TenantSettingCollection

{
  "items": [
    {
      "id": "text",
      "value": {},
      "errors": [
        {
          "code": "text",
          "message": "text",
          "details": {}
        }
      ]
    }
  ],
  "_total": 1,
  "_links": {
    "self": {
      "href": "text"
    }
  }
}
get
Responses
200

Returns a TenantBranchesCollection

application/json
_totalnumberRequired
get/tenants/current/branches
GET /apis/v2/tenants/current/branches HTTP/1.1
Accept: */*
200

Returns a TenantBranchesCollection

{
  "items": [
    {
      "id": "text",
      "countryCode": "text",
      "countryDisplayName": "text",
      "city": "text",
      "description": "text",
      "baseUrl": "text",
      "isDefault": true,
      "_links": {
        "self": {
          "href": "text"
        }
      }
    }
  ],
  "_total": 1,
  "_links": {
    "self": {
      "href": "text"
    }
  }
}
get
Responses
200

Returns a TenantBranch

application/json
idstringRequired
countryCodestringRequiredPattern: ^s{2}$
countryDisplayNamestringRequired
citystringRequired
descriptionstringRequired
baseUrlstringRequired
isDefaultbooleanRequired
get/tenants/current/branches/default
GET /apis/v2/tenants/current/branches/default HTTP/1.1
Accept: */*
200

Returns a TenantBranch

{
  "id": "text",
  "countryCode": "text",
  "countryDisplayName": "text",
  "city": "text",
  "description": "text",
  "baseUrl": "text",
  "isDefault": true,
  "_links": {
    "self": {
      "href": "text"
    }
  }
}
get
Path parameters
branchIdstringRequired
Responses
200

Returns a TenantBranch

application/json
idstringRequired
countryCodestringRequiredPattern: ^s{2}$
countryDisplayNamestringRequired
citystringRequired
descriptionstringRequired
baseUrlstringRequired
isDefaultbooleanRequired
get/tenants/current/branches/{branchId}
GET /apis/v2/tenants/current/branches/{branchId} HTTP/1.1
Accept: */*
200

Returns a TenantBranch

{
  "id": "text",
  "countryCode": "text",
  "countryDisplayName": "text",
  "city": "text",
  "description": "text",
  "baseUrl": "text",
  "isDefault": true,
  "_links": {
    "self": {
      "href": "text"
    }
  }
}
patch
Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Path parameters
taxonomyIdstringRequired

Taxonomy Ids like: event-quick-filters, event-types, event-tags, app-menu

Body
idstringRead-onlyRequired
Responses
200

Returns a TenantTaxonomy

application/json
idstringRead-onlyRequired
patch/tenants/{tenantId}/taxonomies/{taxonomyId}
PATCH /apis/v2/tenants/{tenantId}/taxonomies/{taxonomyId} HTTP/1.1
Authorization: Bearer YOUR_SECRET_TOKEN
Content-Type: application/json
Accept: */*
Content-Length: 399

{
  "value": {
    "id": "text",
    "displayName": "text",
    "value": "text",
    "type": "text",
    "children": [
      {
        "id": "text",
        "displayName": "text",
        "value": "text",
        "type": "text",
        "children": [
          {
            "id": "text",
            "displayName": "text",
            "value": "text",
            "type": "text",
            "children": "[Circular Reference]",
            "config": {},
            "_links": {
              "self": {
                "href": "text"
              }
            }
          }
        ],
        "config": {},
        "_links": {
          "self": {
            "href": "text"
          }
        }
      }
    ],
    "config": {},
    "_links": {
      "self": {
        "href": "text"
      }
    }
  }
}
200

Returns a TenantTaxonomy

{
  "id": "text",
  "value": {
    "id": "text",
    "displayName": "text",
    "value": "text",
    "type": "text",
    "children": [
      {
        "id": "text",
        "displayName": "text",
        "value": "text",
        "type": "text",
        "children": [
          {
            "id": "text",
            "displayName": "text",
            "value": "text",
            "type": "text",
            "children": "[Circular Reference]",
            "config": {},
            "_links": {
              "self": {
                "href": "text"
              }
            }
          }
        ],
        "config": {},
        "_links": {
          "self": {
            "href": "text"
          }
        }
      }
    ],
    "config": {},
    "_links": {
      "self": {
        "href": "text"
      }
    }
  }
}
get
Responses
200

Returns a EventQuickFiltersTaxonomy

application/json
idstringRequired
displayNamestringRequired
valuestringRequired
typestringRequired
configobjectOptional
colorstringRequired
prioritynumberRequired
isListedbooleanRequired
get/tenants/{tenantId}/taxonomies/event-quick-filters
GET /apis/v2/tenants/{tenantId}/taxonomies/event-quick-filters HTTP/1.1
Accept: */*
200

Returns a EventQuickFiltersTaxonomy

{
  "id": "text",
  "displayName": "text",
  "value": "text",
  "type": "text",
  "children": [
    {
      "id": "text",
      "displayName": "text",
      "value": "text",
      "type": "text",
      "children": [
        {
          "id": "text",
          "displayName": "text",
          "value": "text",
          "type": "text",
          "children": [
            "[Circular Reference]"
          ],
          "config": {},
          "_links": {
            "self": {
              "href": "text"
            }
          }
        }
      ],
      "config": {},
      "_links": {
        "self": {
          "href": "text"
        }
      }
    }
  ],
  "config": {},
  "_links": {
    "self": {
      "href": "text"
    }
  },
  "color": "text",
  "priority": 1,
  "isListed": true
}
get
Query parameters
expandstring[]OptionalExample: ["_links.children.items._links.children.items._links.template"]
Responses
200

Returns a EventTagsTaxonomy

application/json
idstringRequired
displayNamestringRequired
valuestringRequired
typestringRequired
configobjectOptional
colorstringRequired
prioritynumberRequired
isListedbooleanRequired
get/tenants/{tenantId}/taxonomies/event-types
GET /apis/v2/tenants/{tenantId}/taxonomies/event-types HTTP/1.1
Accept: */*
200

Returns a EventTagsTaxonomy

{
  "id": "text",
  "displayName": "text",
  "value": "text",
  "type": "text",
  "children": [
    {
      "id": "text",
      "displayName": "text",
      "value": "text",
      "type": "text",
      "children": [
        {
          "id": "text",
          "displayName": "text",
          "value": "text",
          "type": "text",
          "children": [
            "[Circular Reference]"
          ],
          "config": {},
          "_links": {
            "self": {
              "href": "text"
            }
          }
        }
      ],
      "config": {},
      "_links": {
        "self": {
          "href": "text"
        }
      }
    }
  ],
  "config": {},
  "_links": {
    "self": {
      "href": "text"
    }
  },
  "color": "text",
  "priority": 1,
  "isListed": true
}
get
Path parameters
nodeIdstringRequired
Responses
200

Returns a EventTagsTaxonomy

application/json
idstringRequired
displayNamestringRequired
valuestringRequired
typestringRequired
configobjectOptional
colorstringRequired
prioritynumberRequired
isListedbooleanRequired
get/tenants/{tenantId}/taxonomies/event-types/{nodeId}/template
GET /apis/v2/tenants/{tenantId}/taxonomies/event-types/{nodeId}/template HTTP/1.1
Accept: */*
200

Returns a EventTagsTaxonomy

{
  "id": "text",
  "displayName": "text",
  "value": "text",
  "type": "text",
  "children": [
    {
      "id": "text",
      "displayName": "text",
      "value": "text",
      "type": "text",
      "children": [
        {
          "id": "text",
          "displayName": "text",
          "value": "text",
          "type": "text",
          "children": [
            "[Circular Reference]"
          ],
          "config": {},
          "_links": {
            "self": {
              "href": "text"
            }
          }
        }
      ],
      "config": {},
      "_links": {
        "self": {
          "href": "text"
        }
      }
    }
  ],
  "config": {},
  "_links": {
    "self": {
      "href": "text"
    }
  },
  "color": "text",
  "priority": 1,
  "isListed": true
}
get
Responses
200

Returns a EventTagsTaxonomy

application/json
idstringRequired
displayNamestringRequired
valuestringRequired
typestringRequired
configobjectOptional
colorstringRequired
prioritynumberRequired
isListedbooleanRequired
get/tenants/{tenantId}/taxonomies/event-tags
GET /apis/v2/tenants/{tenantId}/taxonomies/event-tags HTTP/1.1
Accept: */*
200

Returns a EventTagsTaxonomy

{
  "id": "text",
  "displayName": "text",
  "value": "text",
  "type": "text",
  "children": [
    {
      "id": "text",
      "displayName": "text",
      "value": "text",
      "type": "text",
      "children": [
        {
          "id": "text",
          "displayName": "text",
          "value": "text",
          "type": "text",
          "children": [
            "[Circular Reference]"
          ],
          "config": {},
          "_links": {
            "self": {
              "href": "text"
            }
          }
        }
      ],
      "config": {},
      "_links": {
        "self": {
          "href": "text"
        }
      }
    }
  ],
  "config": {},
  "_links": {
    "self": {
      "href": "text"
    }
  },
  "color": "text",
  "priority": 1,
  "isListed": true
}
get
Responses
200

Returns a AppMenuNode

application/json
idstringRequired
displayNamestringRequired
valuestringRequired
typestringRequired
configobjectOptional
isActivebooleanOptional

Whether the menu item is active/visible. Defaults to true if not specified.

get/tenants/{tenantId}/taxonomies/app-menu
GET /apis/v2/tenants/{tenantId}/taxonomies/app-menu HTTP/1.1
Accept: */*
200

Returns a AppMenuNode

{
  "id": "text",
  "displayName": "text",
  "value": "text",
  "type": "text",
  "children": [
    {
      "id": "text",
      "displayName": "text",
      "value": "text",
      "type": "text",
      "children": [
        {
          "id": "text",
          "displayName": "text",
          "value": "text",
          "type": "text",
          "children": [
            "[Circular Reference]"
          ],
          "config": {},
          "_links": {
            "self": {
              "href": "text"
            }
          }
        }
      ],
      "config": {},
      "_links": {
        "self": {
          "href": "text"
        }
      }
    }
  ],
  "config": {},
  "_links": {
    "self": {
      "href": "text"
    }
  },
  "isActive": true
}
get
Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Responses
200

Returns the admin app menu for the current user

application/json
_totalnumberRequired
get/tenants/{tenantId}/taxonomies/admin-app-menu
GET /apis/v2/tenants/{tenantId}/taxonomies/admin-app-menu HTTP/1.1
Authorization: Bearer YOUR_SECRET_TOKEN
Accept: */*
200

Returns the admin app menu for the current user

{
  "items": [
    {
      "id": "text",
      "displayName": "text",
      "value": "text",
      "type": "text",
      "children": [
        {
          "id": "text",
          "displayName": "text",
          "value": "text",
          "type": "text",
          "children": [
            "[Circular Reference]"
          ],
          "config": {},
          "_links": {
            "self": {
              "href": "text"
            }
          }
        }
      ],
      "config": {},
      "_links": {
        "self": {
          "href": "text"
        }
      },
      "priority": 1
    }
  ],
  "_total": 1,
  "_links": {
    "self": {
      "href": "text"
    }
  }
}

Last updated

Was this helpful?